Fatal error - Imagick


#1

Hi there,
I’m trying to install Buddypress Media on my website (which is running Wordpress 3.5.1 and Buddypress 1.7.2). However, immediately after activation of the plugin, I get the following error:

Fatal error: Non-static method Imagick::getversion() cannot be called statically, assuming $this from incompatible context in /home/vhosting/a/vhost0059330/domains/kvswift.nl/htdocs/www/wp-content/plugins/buddypress-media/app/helper/BPMediaSupport.php on line 29

I am not able to visit any of the Wordpress-related pages on my website, they all give me this error. Imagemagick is installed on the server, so I’m wondering what the cause (and solution!) of this error might be…


#2

I found a temporary solution: deleting line 27-38 in BPMediaSupport.php suppresses the error message and lets me use Buddypress media!


#3

Thanks for the 2.15.3 update, guys! The problem is fixed.


#4

Thanks for reporting this. We’ve credited you in the changelog.


#5

#6